%ifos darwin
%define __defattr %defattr(-,root,wheel)
%define __soext dylib
%else
%define __defattr %defattr(-,root,root)
%define __soext so
%endif

%define version 0.10.35
Summary: Libraries and utilties for program national language support
Name: gettext
Version: %{version}
Release: 3a
Copyright: GPL
Group: Development/Tools
Source: ftp://alpha.gnu.org/pub/gnu/gettext-%{version}.tar.gz
Patch0: localhost:/gettext-0.10.35-jbj.patch
Patch1: localhost:/gettext-0.10.35-shared.patch
Patch2: localhost:/gettext-0.10.35-shared-macosx.patch
Buildroot: %{_tmppath}/gettext-root

%description
The gettext library provides an easy to use library and tools for creating,
using, and modifying natural language catalogs. It is a powerfull and simple

%package devel
Summary: Header and library files for developing applications using gettext
Group: Development/Libraries
Requires: gettext
%description devel
This package contains header and library files for developing 
applications using gettext.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
%patch0 -p1 -b .jbj
%patch1 -p1
%ifos darwin
%patch2 -p1
%endif

%build
%ifos darwin
cp /usr/share/libtool/{config.*,lt*} .
CFLAGS="-traditional -D__GNUC_ $RPM_OPT_FLAGS -fno-common" ./configure --prefix=%{_prefix} --with-included-gettext
%else
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-included-gettext
%endif
# l=l necessary to create shared libs
make l=l

%install
rm -rf $RPM_BUILD_ROOT

# Fix busted no-emacs install for $lispdir/po-mode.el

make install prefix=$RPM_BUILD_ROOT%{_prefix} lispdir=$RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp

( cd $RPM_BUILD_ROOT
  rm -f .%{_prefix}/info/dir
  gzip -9nf .%{_prefix}/info/*
%ifos darwin
  ranlib -s .%{_prefix}/lib/libintl.a
%endif
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{__defattr}
%{_prefix}/bin/*
%{_prefix}/info/*
%{_prefix}/share/gettext
%{_prefix}/share/locale/d*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/e*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/f*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/k*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/n*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/p*/LC_MESSAGES/gettext.mo
%{_prefix}/share/locale/s*/LC_MESSAGES/gettext.mo
%{_prefix}/share/aclocal/*
%{_prefix}/share/emacs/site-lisp/*
%ifos darwin
%{_prefix}/lib/*.%{__soext}
%else
%{_prefix}/lib/*.%{__soext}.*
%endif

%files devel
%{__defattr}
%{_prefix}/include/*
%{_prefix}/lib/*.a
%ifnos darwin
%{_prefix}/lib/*.%{__soext}
%endif

%changelog
* Fri Jul 20 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 3a: built on MacOS X Release 10.04 
- dylib support

* Thu Apr 19 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1a: built on MacOS X Release 10.01

* Mon Apr 2 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release 1: built on MacOS X PB
